Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cms
Class RecipientInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cms.RecipientInfo

All Implemented Interfaces:
  ASN1Value

public class RecipientInfo
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `RecipientInfo.Template` A template file for decoding a RecipientInfo blob

Field Summary
`private OCTET_STRING` | `encryptedKey`
`private IssuerAndSerialNumber` | `issuerAndSerialNumber`
`private AlgorithmIdentifier` | `keyEncryptionAlgorithmID`
`private SEQUENCE` | `sequence`
`static Tag` | `TAG`
`private static RecipientInfo.Template` | `templateInstance`
`private INTEGER` | `version`

Constructor Summary
`private` | `RecipientInfo()`
`` | `RecipientInfo(INTEGER version, IssuerAndSerialNumber issuerAndSerialNumber, AlgorithmIdentifier keyEncryptionAlgorithmID, OCTET_STRING encryptedKey)` Create a RecipientInfo ASN1 object.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag tag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`OCTET_STRING` | `getEncryptedKey()`
`IssuerAndSerialNumber` | `getissuerAndSerialNumber()`
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithmID()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static RecipientInfo.Template` | `getTemplate()`
`INTEGER` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### version

    private INTEGER version

### issuerAndSerialNumber

    private IssuerAndSerialNumber issuerAndSerialNumber

### keyEncryptionAlgorithmID

    private AlgorithmIdentifier keyEncryptionAlgorithmID

### encryptedKey

    private OCTET_STRING encryptedKey

### sequence

    private SEQUENCE sequence

### templateInstance

    private static final RecipientInfo.Template templateInstance

Constructor Detail

### RecipientInfo

    private RecipientInfo()

### RecipientInfo

    public RecipientInfo(INTEGER version,
                         IssuerAndSerialNumber issuerAndSerialNumber,
                         AlgorithmIdentifier keyEncryptionAlgorithmID,
                         OCTET_STRING encryptedKey)

  Create a RecipientInfo ASN1 object.

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### getVersion

    public INTEGER getVersion()

### getissuerAndSerialNumber

    public IssuerAndSerialNumber getissuerAndSerialNumber()

### getKeyEncryptionAlgorithmID

    public AlgorithmIdentifier getKeyEncryptionAlgorithmID()

### getEncryptedKey

    public OCTET_STRING getEncryptedKey()

### getTemplate

    public static RecipientInfo.Template getTemplate()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag tag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD